studip 2.1.0
studip: ^2.1.0 copied to clipboard

A simple-to-use wrapper for Stud.IP's RestAPI service in Dart.

2.1.0 #

  • Added more HTTP methods

2.0.0 #

  • Stable sound null-safety release with some fixed bugs

2.0.0-nullsafety.0 #

  • Enable sound null-safety (Breaking Change: Only SDK >= 2.12.0 allowed)

1.0.3 #

  • Eased detection of invalid sessions

1.0.2 #

  • Fixed authentication process with given token and secret

1.0.1 #

  • Better API usage through api* functions
  • Better Code Style and performance
  • Fixed package dependencies
  • Fixed README
  • Added Travis.CI

1.0.0 #

  • Initial version
1
likes
130
pub points
30%
popularity

Publisher

femtopedia.de

A simple-to-use wrapper for Stud.IP's RestAPI service in Dart.

Repository (GitHub)
View/report issues

Documentation

API reference

License

GPL-3.0 (LICENSE)

Dependencies

http, oauth1

More

Packages that depend on studip